Issue installing Openstack All in One 16.1 on RHEL 8.2 Baremetal

Latest response

Not sure why this is failing:

RHEL 8.2 + RHELOS 16.1 All in One which uses TrileO.

Registry.redhat.io is setup and logged in.
Entitlements and Subscription have all required REPOs.

After initial requirements I run the following:
[stack@bnefvopenstack01 ~]$ sudo openstack tripleo deploy --templates --local-ip=$IP/$NETMASK -e /usr/share/openstack-tripleo-heat-templates/environments/standalone/standalone-tripleo.yaml -r /usr/share/openstack-tripleo-heat-templates/roles/Standalone.yaml -e $HOME/containers-prepare-parameters.yaml -e $HOME/standalone_parameters.yaml --output-dir $HOME --standalone

Installation stops as below and the lines in questions in tripleo_deploy.py refers to parsed_args :

rendering j2 template to file: /home/stack/tripleo-heat-installer-templates/./network/ports/net_vip_map_external_v6.yaml
jinja2 rendering network template port.network.j2.yaml
jinja2 rendering networks
jinja2 rendering network template port_from_pool.network.j2.yaml
jinja2 rendering networks
jinja2 rendering network template port_from_pool_v6.network.j2.yaml
jinja2 rendering networks
jinja2 rendering network template port_v6.network.j2.yaml
jinja2 rendering networks
jinja2 rendering role template role.role.j2.yaml
jinja2 rendering roles Standalone
rendering j2 template to file: /home/stack/tripleo-heat-installer-templates/./puppet/standalone-role.yaml
Exception: environment has wrong section "ContainerImageRegistryCredentials"
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/tripleoclient/v1/tripleo_deploy.py", line 1265, in standalone_deploy
parsed_args)
File "/usr/lib/python3.6/site-packages/tripleoclient/v1/tripleo_deploy.py", line 767, in _deploy_tripleo_heat_templates
cleanup=parsed_args.cleanup)
File "/usr/lib/python3.6/site-packages/tripleoclient/utils.py", line 1170, in process_multiple_environments
env_path=env_path)
File "/usr/lib/python3.6/site-packages/heatclient/common/template_utils.py", line 314, in process_environment_and_files
env = environment_format.parse(raw_env)
File "/usr/lib/python3.6/site-packages/heatclient/common/environment_format.py", line 55, in parse
raise ValueError(
('environment has wrong section "%s"') % param)
ValueError: environment has wrong section "ContainerImageRegistryCredentials"
None
Not cleaning working directory /home/stack/tripleo-heat-installer-templates
Not cleaning ansible directory /home/stack/standalone-ansible-ggspnrci
Install artifact is located at /home/stack/standalone-install-20200831013528.tar.bzip2

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Deployment Failed!

ERROR: Heat log files: /var/log/heat-launcher/undercloud_deploy-cfqvqsnn

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Deployment failed.

Responses

It looks like the issue is the ContainerImageRegistryCredentials. Can you post the content of the containers-prepare-parameters.yaml (but omit the actual username and password obviously)?

Generated with the following on 2020-08-21T15:47:58.896491

#

openstack tripleo container image prepare default --output-env-file /home/stack/containers-prepare-parameters.yaml

#

parameter_defaults:

ContainerImagePrepare:

  • set:

    ceph_alertmanager_image: ose-prometheus-alertmanager

    ceph_alertmanager_namespace: registry.redhat.io/openshift4

    ceph_alertmanager_tag: 4.1

    ceph_grafana_image: rhceph-4-dashboard-rhel8

    ceph_grafana_namespace: registry.redhat.io/rhceph

    ceph_grafana_tag: 4

    ceph_image: rhceph-4-rhel8

    ceph_namespace: registry.redhat.io/rhceph

    ceph_node_exporter_image: ose-prometheus-node-exporter

    ceph_node_exporter_namespace: registry.redhat.io/openshift4

    ceph_node_exporter_tag: v4.1

    ceph_prometheus_image: ose-prometheus

    ceph_prometheus_namespace: registry.redhat.io/openshift4

    ceph_prometheus_tag: 4.1

    ceph_tag: latest

    name_prefix: openstack-

    name_suffix: ''

    namespace: registry.redhat.io/rhosp-rhel8

    neutron_driver: ovn

    rhel_containers: false

    tag: '16.1'

    tag_from_label: '{version}-{release}'

ContainerImageRegistryCredentials:

registry.redhat.io:

username: "password"

ContainerImageRegistryLogin: true

Thanks, Mark. It looks like ContainerImageRegistryCredentials and ContainerImageRegistryLogin need indentation so that they're children of parameter_defaults.

Thanks, that fixed it and the install completed successfully.

HI Guys Mine is happing something similar.

2021-01-13 19:15:26.137 81948 ERROR tripleoclient.v1.tripleo_deploy.Deploy [ ] Exception: environment has wrong section "rameter_defaults" 2021-01-13 19:15:26.138 81948 ERROR tripleoclient.v1.tripleo_deploy.Deploy [ ] None 2021-01-13 19:15:26.777 81948 WARNING tripleoclient.v1.tripleo_deploy.Deploy [ ] Not cleaning working directory /home/stack/tripleo-heat-installer-templ ates 2021-01-13 19:15:26.803 81948 WARNING tripleoclient.v1.tripleo_deploy.Deploy [ ] Not cleaning ansible directory /home/stack/undercloud-ansible-sfmvzlq1 2021-01-13 19:15:26.826 81948 WARNING tripleoclient.v1.tripleo_deploy.Deploy [ ] Install artifact is located at /home/stack/undercloud-install-202101140 01526.tar.bzip2 2021-01-13 19:15:26.826 81948 ERROR tripleoclient.v1.tripleo_deploy.Deploy [ ] !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Deployment Failed!

ERROR: Heat log files: /var/log/heat-launcher/undercloud_deploy-x47mocrf

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

2021-01-13 19:15:26.830 81948 ERROR openstack [ ] Deployment failed. 2021-01-13 19:15:26.966 81602 ERROR tripleoclient.v1.undercloud.InstallUndercloud [ ] !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

An error has occured while deploying the Undercloud.

See the previous output for details about what went wrong.

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Any idea ??

Mauro Araujo

Exception: environment has wrong section "rameter_defaults"

So this looks like the culprit. This is most likely meant to be "parameter_defaults". I think there's a typo in one of your environment files. Check your containers-prepare-parameters.yaml file or any other custom environment files you might be using with the undercloud installation.

My deployment is failing with this error... can any one pls suggest. I'm trying to install on a instances.

  ^

Traceback (most recent call last): File "/usr/lib/python3.6/site-packages/heatclient/common/environment_format.py", line 37, in parse env = yaml.load(env_str, Loader=template_format.yaml_loader) File "/usr/lib64/python3.6/site-packages/yaml/init.py", line 72, in load return loader.get_single_data() File "/usr/lib64/python3.6/site-packages/yaml/constructor.py", line 35, in get_single_data node = self.get_single_node() File "ext/_yaml.pyx", line 707, in _yaml.CParser.get_single_node File "ext/_yaml.pyx", line 725, in _yaml.CParser._compose_document File "ext/_yaml.pyx", line 776, in _yaml.CParser._compose_node File "ext/_yaml.pyx", line 890, in _yaml.CParser._compose_mapping_node File "ext/_yaml.pyx", line 776, in _yaml.CParser._compose_node File "ext/_yaml.pyx", line 892, in _yaml.CParser._compose_mapping_node File "ext/_yaml.pyx", line 905, in _yaml.CParser._parse_next_event yaml.parser.ParserError: while parsing a block mapping in "", line 7, column 3 did not find expected key in "", line 12, column 3

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/lib/python3.6/site-packages/heatclient/common/environment_format.py", line 43, in parse env = yaml.load(env_str, Loader=yaml.SafeLoader) File "/usr/lib64/python3.6/site-packages/yaml/init.py", line 72, in load return loader.get_single_data() File "/usr/lib64/python3.6/site-packages/yaml/constructor.py", line 35, in get_single_data node = self.get_single_node() File "/usr/lib64/python3.6/site-packages/yaml/composer.py", line 36, in get_single_node document = self.compose_document() File "/usr/lib64/python3.6/site-packages/yaml/composer.py", line 55, in compose_document node = self.compose_node(None, None) File "/usr/lib64/python3.6/site-packages/yaml/composer.py", line 84, in compose_node node = self.compose_mapping_node(anchor) File "/usr/lib64/python3.6/site-packages/yaml/composer.py", line 133, in compose_mapping_node item_value = self.compose_node(node, item_key) File "/usr/lib64/python3.6/site-packages/yaml/composer.py", line 84, in compose_node node = self.compose_mapping_node(anchor) File "/usr/lib64/python3.6/site-packages/yaml/composer.py", line 127, in compose_mapping_node while not self.check_event(MappingEndEvent): File "/usr/lib64/python3.6/site-packages/yaml/parser.py", line 98, in check_event self.current_event = self.state() File "/usr/lib64/python3.6/site-packages/yaml/parser.py", line 439, in parse_block_mapping_key "expected , but found %r" % token.id, token.start_mark) yaml.parser.ParserError: while parsing a block mapping in "", line 7, column 3: ContainerImagePrepare: ^ expected , but found '-' in "", line 12, column 3: - set: ^

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/lib/python3.6/site-packages/tripleoclient/v1/tripleo_deploy.py", line 1265, in _standalone_deploy parsed_args) File "/usr/lib/python3.6/site-packages/tripleoclient/v1/tripleo_deploy.py", line 767, in _deploy_tripleo_heat_templates cleanup=parsed_args.cleanup) File "/usr/lib/python3.6/site-packages/tripleoclient/utils.py", line 1154, in process_multiple_environments env_path=env_path) File "/usr/lib/python3.6/site-packages/heatclient/common/template_utils.py", line 314, in process_environment_and_files env = environment_format.parse(raw_env) File "/usr/lib/python3.6/site-packages/heatclient/common/environment_format.py", line 45, in parse raise ValueError(yea) ValueError: while parsing a block mapping in "", line 7, column 3: ContainerImagePrepare: ^ expected , but found '-' in "", line 12, column 3: - set: ^ None Not cleaning working directory /home/stack/tripleo-heat-installer-templates Not cleaning ansible directory /home/stack/standalone-ansible-k5an30k3 Install artifact is located at /home/stack/standalone-install-20220914111551.tar.bzip2

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Deployment Failed!

ERROR: Heat log files: /var/log/heat-launcher/undercloud_deploy-doj8kkrp

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Deployment failed.